#plantDesignBody {
    font-family: PingFangTC, PingFangTC;
}

#navContainer {
    background-color: rgba(0, 0, 0, 0);
}

#headerContainer {
    height: 483px;
    background-image:url("../picture/bg-3.png");
    background-position:center center;
    background-repeat:no-repeat;
    background-size:cover;
    position: relative;
    margin-bottom: 33px;
    display: flex;
    align-items: center;
    justify-content: center;
}

#serviceProcess, #designFeature {
    display: flex;
    justify-content: center;
}

#headerTContainer {
    display: flex;
    flex-flow: column;
    align-items: center;
    justify-content: center;
}

#headerTContainer #titleTxt {
    font-weight: 500;
    font-size: 48px;
    color: #FFFFFF;
    line-height: 67px;
    letter-spacing: 3px;
    padding-bottom: 46px;
}

#headerTContainer #descTxt {
    font-weight: 400;
    font-size: 24px;
    color: #FFFFFF;
    line-height: 36px;
    text-transform: uppercase;
}

#serviceProcessContainer, #designFeatureContainer {
    width: 90%;
    max-width:1200px;
}

#serviceProcessContainer .process-items {
    width: 100%;
    padding-top: 32px;
    justify-content: space-between;
}

#serviceProcessContainer .process-item {
    width: 25%;
    justify-content: center;
}

#serviceProcessContainer .process-item .top-wrapper {
    height: 188px;
    margin-right: 5%;
    border-radius: 10px;
    background-image:url("../picture/pic-15.png");
    background-position:center center;
    background-repeat:no-repeat;
    background-size:cover;
    position: relative;
}

#serviceProcessContainer .process-item .top-wrapper:last-child {
    margin-right: 0px;
}

#serviceProcessContainer .process-item .top-wrapper .o-bg {
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.6);
    border-radius: 10px;
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;

    display: flex;
    flex-flow: column;
    align-items: center;
    justify-content: center;
}

#serviceProcessContainer .process-item .top-wrapper .o-bg .pie-icon {
    width: 68px;
    height: 68px;
    margin-bottom: 13px;
}

#serviceProcessContainer .process-item .top-wrapper .o-bg .light-icon {
    width: 61px;
    height: 74px;
    margin-bottom: 13px;
}

#serviceProcessContainer .process-item .top-wrapper .o-bg .book-icon {
    width: 64px;
    height: 64px;
    margin-bottom: 13px;
}

#serviceProcessContainer .process-item .top-wrapper .o-bg .watch-icon {
    width: 54px;
    height: 64px;
    margin-bottom: 13px;
}

#serviceProcessContainer .process-item .top-wrapper .o-bg .txt {
    font-weight: 500;
    font-size: 24px;
    color: #FFFFFF;
    line-height: 33px;
}

#serviceProcessContainer .process-item .top-wrapper .num {
    position: absolute;
    font-family: SourceHanSansCN, SourceHanSansCN;
    font-weight: bold;
    font-size: 243px;
    color: rgba(255, 255, 255, 0.5);
    line-height: 100%;
    top: -30px;
    right: -48px;
}

#serviceProcessContainer .process-item .bottom-wrapper {
    font-weight: 400;
    font-size: 16px;
    color: #333333;
    line-height: 24px;
    padding-top: 15px;
    padding-left: 8%;
    padding-right: 8%;
    display: flex;
    justify-content: center;
}

#designFeatureContainer .design-items {
    justify-content: space-between;
}

#designFeatureContainer .design-items .design-img {
    width: 33.33%;
    margin-right: 5%;
    background: rgba(0,0,0,0.2);
    border-radius: 7px;
}

#designFeatureContainer .design-items .design-img:last-child {
    margin-right: 0px;
}

#designFeatureContainer .sec-detail-txt {
    width: 100%;
}

#successCaseContainer .case-items {
    width: 100%;
}

#successCaseContainer .content {
    border-radius: 10px;
    display: flex;
    flex-flow: column;
    justify-content: flex-end;
    align-items: start;
    padding: 0px 24px 24px 24px;
    box-sizing: border-box;
    height: 504px;
}

#successCaseContainer .content .details {
    position: relative;
    height: 100%;
}

#successCaseContainer .content .details .case-img-div {
    width: 100%;
    height: 66%;
    border-radius: 10px 10px 0px 0px;
    overflow: hidden;
}

#successCaseContainer .content .details .case-img{
    width: 100%;
    height: 100%;
    transition: transform 0.5s ease; /* 平滑过渡效果 */
}

#successCaseContainer .content:hover .case-img{
    transform: scale(1.2);
}

#successCaseContainer .item-1 {
    width: 70px;
    height: 70px;
    border-radius: 50%;
    background-color: #ffffff;
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    top: 58%;
    left: 24px;
}

#successCaseContainer .item-1 img {
    width: 80%;
    height: 80%;
    border-radius: 50%;
}

#successCaseContainer .item-2 {
    padding-top: 53px;
    padding-left: 24px;
    padding-right: 24px;
    justify-content: space-between;
}

#successCaseContainer .item-2 .title {
    font-weight: 500;
    font-size: 28px;
    color: #333333;
    line-height: 40px;
}

#successCaseContainer .item-2 .date {
    font-weight: 400;
    font-size: 16px;
    color: #AAAAAA;
    line-height: 22px;
}

#successCaseContainer .item-3 {
    font-weight: 400;
    font-size: 16px;
    color: #AAAAAA;
    line-height: 24px;
    padding-top: 15px;
    display: -webkit-box;
    -webkit-line-clamp: 2; /* 限制在两行以内 */
    -webkit-box-orient: vertical;
    overflow: hidden; /* 超出部分隐藏 */
    text-overflow: ellipsis; /* 超出部分显示为... */
    white-space: normal; /* 正常换行 */
    padding: 15px 24px 0px 24px;
}

#successCaseContainer .swiper {
    width: 100%;
    padding: 60px 0 166px 0; /* 根据需要调整上下间距 */
  }

  #successCaseContainer .swiper-slide {
    width: 22.8%;
  }

  #successCaseContainer .swiper-pagination {
    color: #CCCCCC;
    font-weight: 500;
    font-size: 16px;
    line-height: 22px;
    top: 620px;
    width: 46%;
    left: 50%;
    margin-left: -23%;
  }

  #successCaseContainer .swiper-pagination-progressbar .swiper-pagination-progressbar-fill {
    background: var(--main-color);
  }

  @media screen and (max-width: 1480px) and (min-width: 768px){
    #successCaseContainer .content {
        padding: 0 0 24px 0;
    }

    #successCaseContainer .item-1 {
        top: 46%;
    }

    #successCaseContainer .content .details .case-img-div {
        height: 53%;
    }

    #successCaseContainer .swiper-pagination {
        top: 590px;
    }
  }

#designFeatureContainer .design-items {
  width: 100%;
  padding-top: 32px;
  justify-content: space-between;
}
#designFeatureContainer .design-item {
  width: 33.33%;
  justify-content: center;
}
#designFeatureContainer .design-item .top-wrapper {
  height: 188px;
  margin-right: 5%;
  border-radius: 10px;
  background-image: url(../picture/pic-15.png);
  background-position: center center;
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;
}
#designFeatureContainer .design-item .top-wrapper .o-bg {
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.6);
  border-radius: 10px;
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  display: flex;
  flex-flow: column;
  align-items: center;
  justify-content: center;
}
#designFeatureContainer .design-item .top-wrapper .o-bg .txt {
  font-weight: 500;
  font-size: 24px;
  color: #FFFFFF;
  line-height: 33px;
  margin-bottom: 15px;
}
#designFeatureContainer .design-item .top-wrapper .o-bg .content {
  text-align: center;
  font-weight: 500;
  font-size: 16px;
  color: #FFFFFF;
  line-height: 25px;
  padding: 0 20px;
}
#successCaseContainer .sec-detail-txt {
  width: 90%;
}
